Skip to main content
POST
/
v2
/
sandboxes
/
{sandbox_id}
/
upload-urls
Create Sandbox Upload URL
curl --request POST \
  --url https://api.duvo.ai/v2/sandboxes/{sandbox_id}/upload-urls \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "path": "<string>"
}
'
{
  "upload_url": "<string>",
  "path": "<string>",
  "expires_in_seconds": 123
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

sandbox_id
string
required

The sandbox's unique identifier

Minimum string length: 1

Body

application/json
path
string
required

Path where the file will be uploaded (e.g. /workspace/data.csv)

Minimum string length: 1

Response

Default Response

upload_url
string<uri>
required

Presigned upload URL

path
string
required

Path the file will be uploaded to

expires_in_seconds
number
required

Seconds until the presigned URL expires